Bug 215690 - FC6 system-config-httpd kills httpd - incorrect httpd.conf
FC6 system-config-httpd kills httpd - incorrect httpd.conf
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-httpd (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 01:59 EST by Steve
Modified: 2015-03-04 20:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:49:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the http.conf that system-config-httpd produces and that doesn't work (31.52 KB, text/plain)
2006-11-15 01:59 EST, Steve
no flags Details
the httpd.conf generated by the updated system-config-httpd (9.80 KB, text/plain)
2006-11-28 12:04 EST, Steve
no flags Details
httpd conf generated by system-config-httpd (9.93 KB, application/octet-stream)
2007-02-20 22:56 EST, Steve
no flags Details

  None (edit)
Description Steve 2006-11-15 01:59:14 EST
Description of problem:
Using system-config-httpd incorrectly modifies httpd.conf and in turn makes http
not work with errors listed below

Version-Release number of selected component (if applicable):
5:1.3.3-1.1.1
that's the full output from yum list installed system-config-httpd

How reproducible: ALWAYS, also .. FC5 had same problem


Steps to Reproduce:
1. use system-config-httpd to setup httpd (to use non default directory of
/home/Steve/web/cs )
2. service httpd start
3. see errors
  
Actual results:
httpd won't start and has errors in config 

Expected results:
httpd should start

Additional info:
Comment 1 Steve 2006-11-15 01:59:14 EST
Created attachment 141232 [details]
the http.conf that system-config-httpd produces and that doesn't work
Comment 2 Steve 2006-11-15 02:00:36 EST
oh, here's the error:

[root@steve-lappy conf]# service httpd start
Starting httpd: httpd: Syntax error on line 170 of /etc/httpd/conf/httpd.conf:
Cannot load /etc/httpd/modules/mod_access.so into server:
/etc/httpd/modules/mod_access.so: cannot open shared object file: No such file
or directory
Comment 3 Phil Knirsch 2006-11-15 06:19:42 EST
Should be fixed by the update version for FC6 which should come real soon (it's
in queue).

Read ya, Phil
Comment 4 Phil Knirsch 2006-11-20 07:58:34 EST
Last week i've released system-config-httpd-1.4.1 for FC5, FC6 as testing and
put it in FC-devel as well.

Please give it a shot and let me know if this is working for you now.

Thanks,

Read ya, Phil
Comment 5 Steve 2006-11-21 11:23:58 EST
[root@steve-lappy conf]# service httpd start
Starting httpd: (98)Address already in use: make_sock: could not bind to address
[::]:80
(98)Address already in use: make_sock: could not bind to address 0.0.0.0:80
no listening sockets available, shutting down
Unable to open logs
                                                           [FAILED]
This error appears to be unrelated to system-config-httpd. I updated
system-config-httpd to testing and I get this error and then I tried my old
httpd.conf and now I don't know whats wrong because I get that error with my
httpd.conf that worked yesterday. Anyway I'm off for a nice Thanksgiving break
until Sunday and I won't have internet so I'll figure out what's goin on when I
get back and let you know if the new system-config-httpd works.
Comment 6 Steve 2006-11-28 12:04:38 EST
Created attachment 142307 [details]
the httpd.conf generated by the updated system-config-httpd

I figured out the above error, I removed httpd, php, system-config-httpd and
reinstalled them
however, the latest update of system-config-httpd is broken:

[root@steve-lappy httpd]# service httpd start
Starting httpd: Syntax error on line 320 of
/etc/httpd/conf.d/system-config-httpd.conf:
Invalid command 'SSLEngine', perhaps misspelled or defined by a module not
included in the server configuration
							   [FAILED]
[root@steve-lappy httpd]# 

Whats goin on with the new update? Why is there that system-config-httpd.conf
that it uses, why not just write over httpd.conf and create a backup like
before?
Comment 7 Steve 2007-02-20 22:56:26 EST
Created attachment 148463 [details]
httpd conf generated by system-config-httpd 

[root@steve-lappy conf]# service httpd start
Starting httpd: Syntax error on line 320 of
/etc/httpd/conf.d/system-config-httpd.conf:
ServerAdmin takes one argument, The email address of the server administrator
							   [FAILED]
system-config-httpd version:
1.4.1-1.fc6
Comment 8 Steve Holsinger 2007-03-13 16:21:24 EDT
See: http://httpd.apache.org/docs/2.2/upgrading.html for changes in the conf
syntax and module names.

The main issue seems to be that system-config-httpd uses an old conf.  However,
once removing the system-config-httpd created conf, I found that I was still
having problems.  similar to the one that Steve had mentioned:

Starting httpd: (98)Address already in use: make_sock: could not bind to address
[::]:80
(98)Address already in use: make_sock: could not bind to address 0.0.0.0:80
no listening sockets available, shutting down
Unable to open logs
                                                           [FAILED]

The cause of this error is most likely that system-config-httpd also adds a
config to /etc/httpd/conf.d/system-config-httpd.conf  Which is a copy of the
httpd.conf that it creates in /etc/httpd/conf/

Upon deleting this config file and using the original httpd.conf (with
hand-modified settings) I was able to start the httpd service.  I hope this info
helps.
Comment 9 Steve Holsinger 2007-03-13 16:26:29 EDT
I'm using FC6 btw.  before submitting, I have installed all updated packages.
Comment 10 Phil Knirsch 2007-03-15 10:21:49 EDT
Yea. As i wrote in the update tracker for system-config-httpd for FC6 you
reallly need a "clean" system for it to work properly due to the quite large
changes how it operates.

So unfortunately to make it really work as smoothly as possible again you need
to remove all the /etc/alchemist files belonging to s-c-h as well as the cache
files in /var/cache/alchemist and you need to have a clean httpd.conf file again.

Hope this helps,

Read ya, Phil
Comment 11 Bug Zapper 2008-04-04 00:41:57 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 12:49:55 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.